Skip to main content
POST
/
event_schema
/
{event_schema_name}
/
activate
Activate an event schema
curl --request POST \
  --url https://api.togai.com/event_schema/{event_schema_name}/activate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/event_schema/{event_schema_name}/activate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/event_schema/{event_schema_name}/activate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "name": "ride_completed",
  "description": "Cab ride completed",
  "version": 1,
  "attributes": [
    {
      "name": "distance"
    },
    {
      "name": "time"
    }
  ],
  "dimensions": [
    {
      "name": "city"
    },
    {
      "name": "ride_type"
    }
  ],
  "featureDetails": {
    "featureId": "feature.1122.ahoiud",
    "attributeName": "distance"
  },
  "eventLevelRevenue": false
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}
{
  "message": "<Reason message>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_schema_name
string
required
Maximum string length: 50
Example:

"rides"

Response

Response for Create and Get event schema requests

Structure of an event schema

name
string
required

Name of the event. Must be unique for an organization.

Maximum string length: 50
Pattern: ^[\sa-zA-Z0-9_-]*$
version
integer<int32>
required

Version of event schema

Required range: x >= 1
Example:

1

description
string

Description of the event

Maximum string length: 255
status
enum<string>

Status of event schema

  • DRAFT - Schema is in draft state
  • ACTIVE - Schema is currently active
  • INACTIVE - Schema is currently inactive
  • ARCHIVED - Older version of event schema
Available options:
DRAFT,
ACTIVE,
INACTIVE,
ARCHIVED
Example:

"DRAFT"

attributes
object[]
Maximum array length: 50
dimensions
object[]
Maximum array length: 50
filterFields
string[]
featureDetails
object

details of feature associated with event schema with attribute name

enrichments
object
eventIdTemplate
string

Template used to generate event id based on event payload

eventLevelRevenue
boolean
createdAt
string<date-time>
updatedAt
string<date-time>